# include system defaults
include "%L"

# greek alphabet small
<Multi_key> <a> <l> <p>                 : "α"   U03B1     # GREEK SMALL LETTER ALPHA
<Multi_key> <b> <e> <t>                 : "β"   U03B2     # GREEK SMALL LETTER BETA
<Multi_key> <g> <a> <m>                 : "γ"   U03B3     # GREEK SMALL LETTER GAMMA
<Multi_key> <d> <e> <l>                 : "δ"   U03B4     # GREEK SMALL LETTER DELTA
<Multi_key> <e> <p> <s>                 : "ε"   U03B5     # GREEK SMALL LETTER EPSILON
<Multi_key> <z> <e> <t>                 : "ζ"   U03B6     # GREEK SMALL LETTER ZETA
<Multi_key> <e> <t> <a>                 : "η"   U03B7     # GREEK SMALL LETTER ETA
<Multi_key> <t> <h> <e>                 : "θ"   U03B8     # GREEK SMALL LETTER THETA
<Multi_key> <i> <o> <t>                 : "ι"   U03B9     # GREEK SMALL LETTER IOTA
<Multi_key> <k> <a> <p>                 : "κ"   U03BA     # GREEK SMALL LETTER KAPPA
<Multi_key> <l> <a> <m>                 : "λ"   U03BB     # GREEK SMALL LETTER LAMBDA
<Multi_key> <m> <u>                     : "μ"   U03BC     # GREEK SMALL LETTER MU
<Multi_key> <n> <u>                     : "ν"   U03BD     # GREEK SMALL LETTER NU
<Multi_key> <x> <i>                     : "ξ"   U03BE     # GREEK SMALL LETTER XI
<Multi_key> <o> <m> <i>                 : "ο"   U03BF     # GREEK SMALL LETTER OMICRON
<Multi_key> <p> <i>                     : "π"   U03C0     # GREEK SMALL LETTER PI
<Multi_key> <r> <h> <o>                 : "ρ"   U03C1     # GREEK SMALL LETTER RHO
<Multi_key> <s> <i> <g>                 : "σ"   U03C3     # GREEK SMALL LETTER SIGMA
<Multi_key> <t> <a> <u>                 : "τ"   U03C4     # GREEK SMALL LETTER TAU
<Multi_key> <u> <p> <s>                 : "υ"   U03C5     # GREEK SMALL LETTER UPSILON
<Multi_key> <p> <h> <i>                 : "φ"   U03C6     # GREEK SMALL LETTER PHI
<Multi_key> <c> <h> <i>                 : "χ"   U03C7     # GREEK SMALL LETTER CHI
<Multi_key> <p> <s> <i>                 : "ψ"   U03C8     # GREEK SMALL LETTER PSI
<Multi_key> <o> <m> <e>                 : "ω"   U03C9     # GREEK SMALL LETTER OMEGA

# greek alphabet capital
<Multi_key> <A> <L> <P>                 : "Α"   U0391     # GREEK CAPITAL LETTER ALPHA
<Multi_key> <B> <E> <T>                 : "Β"   U0392     # GREEK CAPITAL LETTER BETA
<Multi_key> <G> <A> <M>                 : "Γ"   U0393     # GREEK CAPITAL LETTER GAMMA
<Multi_key> <D> <E> <L>                 : "Δ"   U0394     # GREEK CAPITAL LETTER DELTA
<Multi_key> <E> <P> <S>                 : "Ε"   U0395     # GREEK CAPITAL LETTER EPSILON
<Multi_key> <Z> <E> <T>                 : "Ζ"   U0396     # GREEK CAPITAL LETTER ZETA
<Multi_key> <E> <T> <A>                 : "Η"   U0397     # GREEK CAPITAL LETTER ETA
<Multi_key> <T> <H> <E>                 : "Θ"   U0398     # GREEK CAPITAL LETTER THETA
<Multi_key> <I> <O> <T>                 : "Ι"   U0399     # GREEK CAPITAL LETTER IOTA
<Multi_key> <K> <A> <P>                 : "Κ"   U039A     # GREEK CAPITAL LETTER KAPPA
<Multi_key> <L> <A> <M>                 : "Λ"   U039B     # GREEK CAPITAL LETTER LAMBDA
<Multi_key> <M> <U>                     : "Μ"   U039C     # GREEK CAPITAL LETTER MU
<Multi_key> <N> <U>                     : "Ν"   U039D     # GREEK CAPITAL LETTER NU
<Multi_key> <X> <I>                     : "Ξ"   U039E     # GREEK CAPITAL LETTER XI
<Multi_key> <O> <M> <I>                 : "Ο"   U039F     # GREEK CAPITAL LETTER OMICRON
<Multi_key> <P> <I>                     : "∏"   U03A0     # GREEK CAPITAL LETTER PI
<Multi_key> <R> <H> <O>                 : "Ρ"   U03A1     # GREEK CAPITAL LETTER RHO
<Multi_key> <S> <I> <G>                 : "∑"   U03A3     # GREEK CAPITAL LETTER SIGMA
<Multi_key> <T> <A> <U>                 : "Τ"   U03A4     # GREEK CAPITAL LETTER TAU
<Multi_key> <U> <P> <S>                 : "Υ"   U03A5     # GREEK CAPITAL LETTER UPSILON
<Multi_key> <P> <H> <I>                 : "Φ"   U03A6     # GREEK CAPITAL LETTER PHI
<Multi_key> <C> <H> <I>                 : "Χ"   U0000     # GREEK CAPITAL LETTER CHI
<Multi_key> <P> <S> <I>                 : "Ψ"   U03A8     # GREEK CAPITAL LETTER PSI
<Multi_key> <O> <M> <E>                 : "Ω"   U03A9     # GREEK CAPITAL LETTER OMEGA

# misc mathematical/scientific symbols
<Multi_key> <i> <n> <t>                 : "∫"   U222B     # INTEGRAL
<Multi_key> <s> <q> <r> <t>             : "√"   U221A     # SQUARE ROOT
<Multi_key> <asciitilde> <equal>        : "≈"   U2248     # ALMOST EQUAL TO
<Multi_key> <forwardslash> <equal>      : "≠"   U2260     # NOT EQUAL TO
<Multi_key> <i> <n> <f>                 : "∞"   U221E     # INFINITY
<Multi_key> <l> <c> <e>                 : "⌈"   U2308     # LEFT CEILING
<Multi_key> <r> <c> <e>                 : "⌉"   U2309     # RIGHT CEILING
<Multi_key> <l> <f> <l>                 : "⌊"   U230A     # LEFT FLOOR
<Multi_key> <r> <f> <l>                 : "⌋"   U230B     # RIGHT FLOOR
<Multi_key> <equal> <equal>             : "≡"   U2261     # IDENTICAL TO

# superscript
<Multi_key> <asciicircum> <2>           : "²"   U00B2     # SUPERSCRIPT TWO
<Multi_key> <asciicircum> <3>           : "³"   U00B3     # SUPERSCRIPT THREE
<Multi_key> <asciicircum> <1>           : "¹"   U00B9     # SUPERSCRIPT ONE
<Multi_key> <asciicircum> <h>           : "ʰ"   U02B0     # MODIFIER LETTER SMALL H
<Multi_key> <asciicircum> <j>           : "ʲ"   U02B2     # MODIFIER LETTER SMALL J
<Multi_key> <asciicircum> <r>           : "ʳ"   U02B3     # MODIFIER LETTER SMALL R
<Multi_key> <asciicircum> <y>           : "ʸ"   U02B8     # MODIFIER LETTER SMALL Y
<Multi_key> <asciicircum> <w>           : "ʷ"   U02B7     # MODIFIER LETTER SMALL W
<Multi_key> <asciicircum> <l>           : "ˡ"   U02E1     # MODIFIER LETTER SMALL L
<Multi_key> <asciicircum> <x>           : "ˣ"   U02E3     # MODIFIER LETTER SMALL X
<Multi_key> <asciicircum> <a>           : "ᵃ"   U1D43     # MODIFIER LETTER SMALL A
<Multi_key> <asciicircum> <e>           : "ᵉ"   U1D49     # MODIFIER LETTER SMALL E
<Multi_key> <asciicircum> <k>           : "ᵏ"   U1D4F     # MODIFIER LETTER SMALL K
<Multi_key> <asciicircum> <z>           : "ᶻ"   U1DBB     # MODIFIER LETTER SMALL Z
<Multi_key> <asciicircum> <0>           : "⁰"   U2080     # SUPERSCRIPT ZERO
<Multi_key> <asciicircum> <i>           : "ⁱ"   U2071     # SUPERSCRIPT LATIN SMALL LETTER I
<Multi_key> <asciicircum> <4>           : "⁴"   U2074     # SUPERSCRIPT FOUR
<Multi_key> <asciicircum> <5>           : "⁵"   U2075     # SUPERSCRIPT FIVE
<Multi_key> <asciicircum> <6>           : "⁶"   U2076     # SUPERSCRIPT SIX
<Multi_key> <asciicircum> <7>           : "⁷"   U2077     # SUPERSCRIPT SEVEN
<Multi_key> <asciicircum> <8>           : "⁸"   U2078     # SUPERSCRIPT EIGHT
<Multi_key> <asciicircum> <9>           : "⁹"   U2079     # SUPERSCRIPT NINE
<Multi_key> <asciicircum> <plus>        : "⁺"   U207A     # SUPERSCRIPT PLUS SIGN
<Multi_key> <asciicircum> <minus>       : "⁻"   U207B     # SUPERSCRIPT MINUS
<Multi_key> <asciicircum> <equal>       : "⁼"   U207C     # SUPERSCRIPT EQUALS SIGN
<Multi_key> <asciicircum> <braceleft>   : "⁽"   U207D     # SUPERSCRIPT LEFT PARENTHESIS
<Multi_key> <asciicircum> <braceright>  : "⁾"   U207E     # SUPERSCRIPT RIGHT PARENTHESIS
<Multi_key> <asciicircum> <n>           : "ⁿ"   U207F     # SUPERSCRIPT LATIN SMALL LETTER N

# subscript
<Multi_key> <underscore> <i>            : "ᵢ"   U1D62     # LATIN SUBSCRIPT SMALL LETTER I
<Multi_key> <underscore> <r>            : "ᵣ"   U1D63     # LATIN SUBSCRIPT SMALL LETTER R
<Multi_key> <underscore> <u>            : "ᵤ"   U1D64     # LATIN SUBSCRIPT SMALL LETTER U
<Multi_key> <underscore> <v>            : "ᵥ"   U1D65     # LATIN SUBSCRIPT SMALL LETTER V
<Multi_key> <underscore> <0>            : "₀"   U2080     # SUBSCRIPT ZERO
<Multi_key> <underscore> <1>            : "₁"   U2081     # SUBSCRIPT ONE
<Multi_key> <underscore> <2>            : "₂"   U2082     # SUBSCRIPT TWO
<Multi_key> <underscore> <3>            : "₃"   U2083     # SUBSCRIPT THREE
<Multi_key> <underscore> <4>            : "₄"   U2084     # SUBSCRIPT FOUR
<Multi_key> <underscore> <5>            : "₅"   U2085     # SUBSCRIPT FIVE
<Multi_key> <underscore> <6>            : "₆"   U2086     # SUBSCRIPT SIX
<Multi_key> <underscore> <7>            : "₇"   U2087     # SUBSCRIPT SEVEN
<Multi_key> <underscore> <8>            : "₈"   U2088     # SUBSCRIPT EIGHT
<Multi_key> <underscore> <9>            : "₉"   U2089     # SUBSCRIPT NINE
<Multi_key> <underscore> <plus>         : "₊"   U208A     # SUBSCRIPT PLUS SIGN
<Multi_key> <underscore> <minus>        : "₋"   U208B     # SUBSCRIPT MINUS
<Multi_key> <underscore> <equal>        : "₌"   U208C     # SUBSCRIPT EQUALS SIGN
<Multi_key> <underscore> <braceleft>    : "₍"   U208D     # SUBSCRIPT LEFT PARENTHESIS
<Multi_key> <underscore> <braceright>   : "₎"   U208E     # SUBSCRIPT RIGHT PARENTHESIS
<Multi_key> <underscore> <a>            : "ₐ"   U2090     # LATIN SUBSCRIPT SMALL LETTER A
<Multi_key> <underscore> <e>            : "ₑ"   U2091     # LATIN SUBSCRIPT SMALL LETTER E
<Multi_key> <underscore> <o>            : "ₒ"   U2D92     # LATIN SUBSCRIPT SMALL LETTER O
<Multi_key> <underscore> <x>            : "ₓ"   U2093     # LATIN SUBSCRIPT SMALL LETTER X
<Multi_key> <underscore> <h>            : "ₕ"   U2095     # LATIN SUBSCRIPT SMALL LETTER H
<Multi_key> <underscore> <k>            : "ₖ"   U2096     # LATIN SUBSCRIPT SMALL LETTER K
<Multi_key> <underscore> <l>            : "ₗ"   U2097     # LATIN SUBSCRIPT SMALL LETTER L
<Multi_key> <underscore> <m>            : "ₘ"   U2098     # LATIN SUBSCRIPT SMALL LETTER M
<Multi_key> <underscore> <n>            : "ₙ"   U2099     # LATIN SUBSCRIPT SMALL LETTER N
<Multi_key> <underscore> <p>            : "ₚ"   U209A     # LATIN SUBSCRIPT SMALL LETTER P
<Multi_key> <underscore> <s>            : "ₛ"   U209B     # LATIN SUBSCRIPT SMALL LETTER S
<Multi_key> <underscore> <t>            : "ₜ"   U209C     # LATIN SUBSCRIPT SMALL LETTER T
<Multi_key> <underscore> <j>            : "ⱼ"   U2C7C     # LATIN SUBSCRIPT SMALL LETTER J

# roman numerals
<Multi_key> <r> <1>                     : "Ⅰ"   U2160     # ROMAN NUMERAL ONE
<Multi_key> <r> <2>                     : "Ⅱ"   U2161     # ROMAN NUMERAL TWO
<Multi_key> <r> <3>                     : "Ⅲ"   U2162     # ROMAN NUMERAL THREE
<Multi_key> <r> <4>                     : "Ⅳ"   U2163     # ROMAN NUMERAL FOUR
<Multi_key> <r> <5>                     : "Ⅴ"   U2164     # ROMAN NUMERAL FIVE
<Multi_key> <r> <6>                     : "Ⅵ"   U2165     # ROMAN NUMERAL SIX
<Multi_key> <r> <7>                     : "Ⅶ"   U2166     # ROMAN NUMERAL SEVEN
<Multi_key> <r> <8>                     : "Ⅷ"   U2167     # ROMAN NUMERAL EIGHT
<Multi_key> <r> <9>                     : "Ⅸ"   U2168     # ROMAN NUMERAL NINE
<Multi_key> <r> <0>                     : "Ⅹ"   U2169     # ROMAN NUMERAL TEN
<Multi_key> <r> <minus>                 : "Ⅺ"   U216A     # ROMAN NUMERAL ELEVEN
<Multi_key> <r> <equal>                 : "Ⅻ"   U216B     # ROMAN NUMERAL TWELVE

<Multi_key> <period> <equal>            : "⋅"   U22C5     # DOT OPERATOR
<Multi_key> <asterisk> <asterisk>       : "•"   U2219     # BULLET

<Multi_key> <space> <space>             : "\x09" U0009    # CHARACTER TABULATION

<Multi_key> <s> <h> <r> <u> <g>         : "¯\_(ツ)_/¯"
